using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models;

public class ProductTranslationInfo
{
    [JsonPropertyName("is_translation_agree")]
    public bool IsTranslationAgree { get; set; }

    [JsonPropertyName("is_volunteer")]
    public bool IsVolunteer { get; set; }

    [JsonPropertyName("is_original")]
    public bool IsOriginal { get; set; }

    [JsonPropertyName("is_parent")]
    public bool IsParent { get; set; }

    [JsonPropertyName("is_child")]
    public bool IsChild { get; set; }

    [JsonPropertyName("original_workno")]
    public string? OriginalWorkNumber { get; set; }

    [JsonPropertyName("parent_workno")]
    public string? ParentWorkNumber { get; set; }

    [JsonPropertyName("child_worknos")]
    public string[] ChildWorkNumbers { get; set; } = [];

    [JsonPropertyName("lang")]
    public string? Language { get; set; }

    [JsonPropertyName("production_trade_price_rate")]
    public int ProductionTradePriceRate { get; set; }
}